Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | List of all members
eZGZIPCompressionHandler Class Reference

Handles files compressed with gzip. More...

Inheritance diagram for eZGZIPCompressionHandler:

## Public Member Functions
| __construct ()
| setCompressionLevel ( $level)
| compressionLevel ()
Public Member Functions inherited from eZForwardCompressionHandler
| __construct (&$handler, $name, $identifier)
& | forwardHandler ()
| doOpen ( $filename, $mode)
| doClose ()
| doRead ( $uncompressedLength=false)
| doWrite ( $data, $uncompressedLength=false)
| doFlush ()
| doSeek ( $offset, $whence)
| doRewind ()
| doTell ()
| doEOF ()
| doPasstrough ( $closeFile=true)
| compress ( $source)
| decompress ( $source)
| error ()
| errorString ()
| errorNumber ()
| duplicate ()
Public Member Functions inherited from eZFileHandler
| __construct ( $handlerIdentifier=false, $handlerName=false)
| isOpen ()
| isBinaryMode ()
| filename ()
| mode ()
| name ()
| identifier ()
| exists ( $filename=false)
| isDirectory ( $filename=false)
| isExecutable ( $filename=false)
| isFile ( $filename=false)
| isLink ( $filename=false)
| isReadable ( $filename=false)
| isWriteable ( $filename=false)
| statistics ( $filename=false)
| open ( $filename, $mode, $binaryFile=true)
| close ()
| unlink ( $filename=false)
| rename ( $destinationFilename, $sourceFilename=false)
| read ( $length=false)
| write ( $data, $length=false)
| flush ()
| seek ( $offset, $whence=SEEK_SET)
| rewind ()
| tell ()
| eof ()
| passtrough ( $closeFile=true)

## Additional Inherited Members
Static Public Member Functions inherited from eZFileHandler
static | isAvailable ()
static | linkCopy ( $sourceFilename, $destinationFilename, $symbolicLink=true)
static | symlink ( $sourceFilename, $destinationFilename)
static | link ( $sourceFilename, $destinationFilename)
static | move ( $sourceFilename, $destinationFilename)
static | copy ( $sourceFilename, $destinationFilename)
static | doUnlink ( $filename)
static | doExists ( $filename)
static | doIsDirectory ( $filename)
static | doIsExecutable ( $filename)
static | doIsFile ( $filename)
static | doIsLink ( $filename)
static | doIsReadable ( $filename)
static | doIsWriteable ( $filename)
static | doStatistics ( $filename)
static | doRename ( $destinationFilename, $sourceFilename)
static | instance ( $identifier, $filename=false, $mode=false, $binaryFile=true)
Public Attributes inherited from eZForwardCompressionHandler
| $ForwardHandler
Public Attributes inherited from eZFileHandler
| $Identifier
| $FileHandler
| $Name
| $FileName
| $Mode
| $IsBinary
| $IsOpen

## Detailed Description

Handles files compressed with gzip.

This class is a wrapper of the eZGZIPZLIBCompressionHandler and eZGZIPShellCompressionHandler classes.

Duplication of this handler is done by the eZForwardCompressionHandler class.

Definition at line 22 of file ezgzipcompressionhandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZGZIPCompressionHandler::__construct | ( |  | ) |

See eZCompressionHandler::eZCompressionHandler and eZForwardCompressionHandler::eZForwardCompressionHandler.

Definition at line 27 of file ezgzipcompressionhandler.php.

References eZGZIPShellCompressionHandler\isAvailable(), and eZGZIPZLIBCompressionHandler\isAvailable().

## Member Function Documentation

## ◆ compressionLevel()

eZGZIPCompressionHandler::compressionLevel | ( |  | ) |

Forwards the request for compression level to the current handler and returns the value.

Definition at line 51 of file ezgzipcompressionhandler.php.

## ◆ setCompressionLevel()

eZGZIPCompressionHandler::setCompressionLevel | ( |  | $level | ) |

Forwards the compression level to the current handler.

Definition at line 41 of file ezgzipcompressionhandler.php.

References $level.

The documentation for this class was generated from the following file:

- ezgzipcompressionhandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.